BlitzReels
BlitzReelsDocumentation
API Reference
GET
/workspace/media/assets/{assetId}

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer br_live_....

In: header

Path Parameters

assetId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/workspace/media/assets/string"
{  "asset": {    "id": "string",    "name": "string",    "assetType": "video",    "thumbnailUrl": "string",    "fileUrl": "string",    "description": "string",    "aiDescription": "string",    "aiTags": [      "string"    ],    "aiMood": "string",    "aiCameraMovement": "string",    "audioType": "string",    "importSource": "string",    "waveformPeaks": [      0    ],    "fileSizeBytes": 0,    "processingStatus": "string",    "processingSubstage": "string",    "processingError": "string",    "processingErrors": {      "property1": null,      "property2": null    },    "processingAttempts": -9007199254740991,    "retryable": true,    "providerRequestIds": {      "processJobRunId": "string",      "transcribeJobRunId": "string",      "providerRequestId": "string"    },    "processing_substage": "string",    "processing_error": "string",    "processing_errors": {      "property1": null,      "property2": null    },    "processing_attempts": -9007199254740991,    "provider_request_ids": {      "process_job_run_id": "string",      "transcribe_job_run_id": "string",      "provider_request_id": "string"    },    "durationSeconds": 0,    "dimensionsWidth": 0,    "dimensionsHeight": 0,    "allowUsingAsBroll": true,    "folderName": "string"  }}